Subject: I-D ACTION:draft-ietf-ips-scsi-mib-04.txt

From: [email-masked]
Date: Wed, 30 Oct 2002 06:20:01 -0500

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the IP Storage Working Group of the IETF.

	Title		: Definition of Managed Objects for SCSI Entities
	Author(s)	: M. Hallak-Stamler, M. Bakke et al.
	Filename	: draft-ietf-ips-scsi-mib-04.txt
	Pages		: 73
	Date		: 2002-10-29
	
This memo defines a Management Information Base (MIB) for Small 
Computer System Interface (SCSI) entities, independently of the 
interconnect subsystem layer.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-ips-scsi-mib-04.txt

To remove yourself from the IETF Announcement list, send a message to 
ietf-announce-request with the word unsubscribe in the body of the message.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-ips-scsi-mib-04.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-ips-scsi-mib-04.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

---

From: "Amir Shalit" <[email-masked]>
Date: Wed, 30 Oct 2002 11:07:15 -0800

I agree on both counts. 

Its only that the expression "LUN mapping" got me confused with
"virtualization LUN mapping".

Amir

-----Original Message-----
From: Mark Bakke [mailto:[email-masked]] 
Sent: Wednesday, October 30, 2002 11:00 AM
To: KRUEGER,MARJORIE (HP-Roseville,ex1)
Cc: Amir Shalit; [email-masked]
Subject: Re: I-D ACTION:draft-ietf-ips-scsi-mib-04.txt

"KRUEGER,MARJORIE (HP-Roseville,ex1)" wrote:
> 
> > 1) Read/Write counters
> >
> > Counter32 (counting MB transferred) wrap at about 1000 hours on 
> > 10Gbps links. Can we the MIB use a Counter64 instead?
> 
> We want to accommodate SNMPv1 agents (which can't implement 
> Counter64), so we can add an optional counter64.  Thanks for the 
> reminder!

Since we are back to an optional counter64, should it be in bytes
instead of MB?

> 
> > 2) Virtualization
> >
> > An attempt was made to list all LU's which are part of a LUN. In my 
> > opinion, the ultimate mechanism to represent hierarchical volumes is

> > via a volume manager MIB. For the time being it will be useful to 
> > associate a {start LBA, end LBA} vector with each LU to allow for 
> > most simplistic virtualization mapping.
> 
> I'm not sure what you mean.  The MIB lists all the LU's that are 
> contained within a Target device, and then a table of all the LUN 
> mappings for those LU's.  I don't really think of "LU's being part of 
> a LUN" - the MIB doesn't try to accommodate virtualization, we agree 
> that virtualization is better represented via another MIB.  This MIB 
> is an attempt to represent the simple
> (average?) SCSI device.  Section 3.4 states that this MIB is not meant
to
> address virtual devices, merely the "visible SCSI attributes" (what a
host
> will see).

I agree with Marj.  Note that even target mapping (e.g. map a FC target
to an iSCSI target) or LUN mapping are outside the scope of a SCSI MIB.

> Regards,
> Marjorie Krueger
> Networked Storage Architecture
> Networked Storage Solutions
> Hewlett-Packard

-- 
Mark A. Bakke
Cisco Systems
[email-masked]
763.398.1054

---

From: "KRUEGER,MARJORIE (HP-Roseville,ex1)" <[email-masked]>
Date: Wed, 30 Oct 2002 14:17:50 -0500

When I refer to a "LUN map", I mean that set of LUNs that a target will
export to a given initiator port.  There is a mapping between a particular
LUN and a target's LU.  Some target's simply have a default LUN for each LU,
and so the target conceptually only has one "LUN map".  Some targets
determine which LUN to export for an LU based on the I-T-L relationship.
That target would have multiple LUN maps.

This concept of "LUN mapping" does not accommodate a single LUN mapping to
multiple LU's - that is virtualization (or one aspect of it).  Please note:
I'm not trying to force a particular definition of "LUN mapping", I'm just
telling you what I mean when I use the term in reference to the SCSI MIB.

> From: Amir Shalit [mailto:[email-masked]] 
> Sent: Wednesday, October 30, 2002 11:07 AM
> To: Mark Bakke; KRUEGER,MARJORIE (HP-Roseville,ex1)
> Cc: [email-masked]
> Subject: RE: I-D ACTION:draft-ietf-ips-scsi-mib-04.txt
> 
> 
> I agree on both counts. 
> 
> Its only that the expression "LUN mapping" got me confused 
> with "virtualization LUN mapping".
> 
> Amir
> 
> Since we are back to an optional counter64, should it be in 
> bytes instead of MB?
> 
> > 
> > > 2) Virtualization
> > >
> I agree with Marj.  Note that even target mapping (e.g. map a 
> FC target to an iSCSI target) or LUN mapping are outside the 
> scope of a SCSI MIB.
> 
> > Regards,
> > Marjorie Krueger